Bug 501754 - Bug with TCP tcp_ack() [RHEL 4]
Summary: Bug with TCP tcp_ack() [RHEL 4]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 494428
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-20 15:39 UTC by RHEL Product and Program Management
Modified: 2018-10-20 00:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The tcp_ack() function cleared the probes_out variable even if there were outstanding packets. When low TCP keepalive intervals were used, this bug may have caused problems, such as connections terminating, when using remote tools such as rsh and rlogin.
Clone Of:
Environment:
Last Closed: 2009-06-30 08:06:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1132 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-06-30 08:06:02 UTC

Description RHEL Product and Program Management 2009-05-20 15:39:05 UTC
This bug has been copied from bug #494428 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Vitaly Mayatskikh 2009-05-21 16:42:52 UTC
Committed in 89.0.1.EL

Comment 7 errata-xmlrpc 2009-06-30 08:06:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1132.html

Comment 9 Douglas Silas 2011-01-30 23:32:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The tcp_ack() function cleared the probes_out variable even if there were outstanding packets. When low TCP keepalive intervals were used, this bug may have caused problems, such as connections terminating, when using remote tools such as rsh and rlogin.


Note You need to log in before you can comment on or make changes to this bug.